package org.academiadecodigo.bootcamp11.pokemon.pokemon;

/**
 * Each Pokemon has a type, name and level.
 * Each Pokemon knows how to fight another Pokemon.
 * Every Pokemon gets 3 levels after each win.
 */

public class Pokemon {

    private boolean fainted;
    private Type type;
    private String name;
    private int level;
    private int health;

    public Pokemon(String name, Type type, int level) {
        this.fainted = false;
        this.name = name;
        this.type = type;
        this.level = level;
        this.health = 100;
    }

    public int getHealth() {
        return health;
    }

    public void heal() {
        this.health = 100;
        this.fainted = false;
    }

    public void faint() {
        this.fainted = true;
    }

    public int getLevel() {
        return level;
    }

    public void fight(Pokemon another) {

    }

    public void win() {
        this.level += 3;
    }

}
